// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : fh_test_entry.c
// Author        : xianfeng.du
// Created On    : 2022-10-19s
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "typedef.h"
#include "fh_test.h"



void check_test_outcome(uint32_t cnt)
{

#ifdef DISTRIBUTED_BS
	AxC_data_check(cnt);
#endif

#ifdef INTEGRATED_BS
#endif

	return;
}

void fh_test_init(void)
{

#ifdef DISTRIBUTED_BS
	Cpri_data_init();
	cpri_csu_test_init();
#endif

#ifdef INTEGRATED_BS
	jesd_data_init();
	jesd_test_csu_init();	// init jesd csu and pin ctrl
#endif

	return;
}


